name: Deploy hotel

# Триггеры запуска
on:
  push:
    branches:
      - main          # автоматический запуск при пуше в main
  workflow_dispatch:  # ручной запуск через интерфейс Gitea (кнопка "Run workflow")

jobs:   
  deploy-kdo:
    runs-on: kdo
    steps:
      - name: clear zhelcrm
        run: docker system prune -af
      - name: Deploy
        run: |
          cd /docker/hotell777_260507 && docker compose build --no-cache && docker compose up -d
#